Bug 443175 - wrong perms on man page
wrong perms on man page
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 18:50 EDT by Terje Røsten
Modified: 2008-04-23 04:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 04:36:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch i'll build into the next rev (1.37 KB, patch)
2008-04-20 17:49 EDT, Richard Hughes
no flags Details | Diff

  None (edit)
Description Terje Røsten 2008-04-18 18:50:42 EDT
Description of problem:

Wrong perms on man page:

$ rpm -qlv gnome-packagekit|grep man
-rwxr-xr-x /usr/share/man/man1/system-install-packages.1.gz

execute bit on man pages, don't make sense, please change to 0644.

Version-Release number of selected component (if applicable):

gnome-packagekit-0.1.12-5.20080416git.fc9.x86_64
Comment 1 Richard Hughes 2008-04-20 14:32:01 EDT
[hughsie@hughsie-work src]$ rpm -qlv gnome-packagekit|grep man
-rw-r--r--    1 root    root              533 Apr 18 14:32
/usr/share/man/man1/gpk-install-local-file.1.gz
-rw-r--r--    1 root    root              516 Apr 18 14:32
/usr/share/man/man1/gpk-install-package-name.1.gz

In the spec file there is this:

%{_datadir}/man/man1/*.1.gz

Can you reproduce this on another system?
Comment 2 Terje Røsten 2008-04-20 15:02:17 EDT
Now I am confused, is that a newer git version or something?

I am talking about this build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=46352

Which gives:

$ rpm -qplv
http://koji.fedoraproject.org/packages/gnome-packagekit/0.1.12/5.20080416git.fc9/x86_64/gnome-packagekit-0.1.12-5.20080416git.fc9.x86_64.rpm|grep
man
-rwxr-xr-x    1 root    root              536 april 16 19:46
/usr/share/man/man1/system-install-packages.1.gz


Comment 3 Richard Hughes 2008-04-20 17:49:16 EDT
Created attachment 303076 [details]
patch i'll build into the next rev

Ahh, I'm using a git snapshot - no system-install-packages as this is patched
in by the fedora spec file. I think this patch should do the trick, no?
Comment 4 Terje Røsten 2008-04-21 11:50:14 EDT
Yeah, almost, but you have to change to 0644 not 0755.

Comment 5 Richard Hughes 2008-04-23 04:36:30 EDT
Fixed in 0.1.12-6.20080416git, many thanks.

Note You need to log in before you can comment on or make changes to this bug.